Skip to main content
Resource Center/Network Resource/L3 Network Operations

GetL3NetworkRouterInterfaceIp

GetL3NetworkRouterInterfaceIp

GET/zstack/v1/l3-networks/{l3NetworkUuid}/router-interface-ip

Operation ID

GetL3NetworkRouterInterfaceIp

Since

2.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • routerInterfaceIp
    StringRequired

    The IP address of the router on the L3 network. This parameter is valid only when a vRouter is created on a common L3 network, or a VPC vRouter is attached to a VPC network.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.